      subroutine fsfmd(g,u1,u2,u3,mat)
c----------------------------------------------------------------------c
c Returns a matrix element being a contraction of a scalar-fermion
c vertex with a scalar and two fermions.
c
c Input: u1,u3 - fermion,
c        u2 - scalar,
c        n1,n2,n - numbers of polarization states,
c        g - a scalar-fermion coupling,
c Output: mat - the matrix element.
c
c The gamma matrices are taken in the Weyl representation as in the 
c paper by K. Kolodziej, M. Zralek, Phys. Rev. D43 (1991) 3619
c
c Karol Kolodziej, University of Silesia, kolodzie@us.edu.pl
c 17 May, 2007; modified on 20/21 May, 2007
c----------------------------------------------------------------------c

      implicit none

      integer, parameter :: dp=kind(1.d0)
      complex(dp) :: g(2),u1(4),u2(1),u3(4),mat

      mat=u2(1)*(g(2)*(u1(1)*u3(1)+u1(2)*u3(2))
     &          +g(1)*(u1(3)*u3(3)+u1(4)*u3(4)))

      end subroutine fsfmd
